Bug 1464436 - [abrt] gnome-software: g_type_check_instance_cast(): gnome-software killed by SIGSEGV
[abrt] gnome-software: g_type_check_instance_cast(): gnome-software killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:67db59c4a578fd791991e789283...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 08:24 EDT by Alex Gluck
Modified: 2017-12-12 05:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.50 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: cgroup (336 bytes, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: core_backtrace (3.24 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: dso_list (16.52 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: environ (1.78 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: maps (73.69 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: mountinfo (3.81 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: open_fds (3.83 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: var_log_messages (321 bytes, text/plain)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-06-23 08:25 EDT, Alex Gluck
no flags Details

  None (edit)
Description Alex Gluck 2017-06-23 08:24:58 EDT
Version-Release number of selected component:
gnome-software-3.22.7-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-software
global_pid:     2385
kernel:         4.11.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4056
 #1 GS_UPDATE_MONITOR at gs-update-monitor.h:34
 #2 get_upgrades_finished_cb at gs-update-monitor.c:233
 #3 g_task_return_now at gtask.c:1121
 #4 complete_in_idle_cb at gtask.c:1135
 #9 g_main_context_iteration at gmain.c:3990
 #10 g_application_run at gapplication.c:2381
Comment 1 Alex Gluck 2017-06-23 08:25:05 EDT
Created attachment 1291014 [details]
File: backtrace
Comment 2 Alex Gluck 2017-06-23 08:25:07 EDT
Created attachment 1291015 [details]
File: cgroup
Comment 3 Alex Gluck 2017-06-23 08:25:10 EDT
Created attachment 1291016 [details]
File: core_backtrace
Comment 4 Alex Gluck 2017-06-23 08:25:12 EDT
Created attachment 1291017 [details]
File: dso_list
Comment 5 Alex Gluck 2017-06-23 08:25:14 EDT
Created attachment 1291018 [details]
File: environ
Comment 6 Alex Gluck 2017-06-23 08:25:16 EDT
Created attachment 1291019 [details]
File: limits
Comment 7 Alex Gluck 2017-06-23 08:25:19 EDT
Created attachment 1291020 [details]
File: maps
Comment 8 Alex Gluck 2017-06-23 08:25:21 EDT
Created attachment 1291021 [details]
File: mountinfo
Comment 9 Alex Gluck 2017-06-23 08:25:22 EDT
Created attachment 1291022 [details]
File: namespaces
Comment 10 Alex Gluck 2017-06-23 08:25:25 EDT
Created attachment 1291023 [details]
File: open_fds
Comment 11 Alex Gluck 2017-06-23 08:25:27 EDT
Created attachment 1291024 [details]
File: proc_pid_status
Comment 12 Alex Gluck 2017-06-23 08:25:28 EDT
Created attachment 1291025 [details]
File: var_log_messages
Comment 13 Alex Gluck 2017-06-23 08:25:30 EDT
Created attachment 1291026 [details]
File: exploitable
Comment 14 Fedora End Of Life 2017-11-16 09:41:51 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-12-12 05:33:24 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.